Bug 65057 - Use of lm_sensors fries IBM laptops
Use of lm_sensors fries IBM laptops
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: lm_sensors (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Phil Knirsch
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-16 16:22 EDT by jon
Modified: 2015-03-04 20:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-27 11:36:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jon 2002-05-16 16:22:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux; X11)

Description of problem:
ksysguardd requires lm_sensors. lm_sensors fries some (all?) IBM thinkpads, including my Thinkpad X21.

Knowing this, I did not intentionally load or run lm_sensors. However, something happened and it ran without my knowledge or consent, frying my laptop and giving it a free round trip to IBM's laptop repair center.

I suspect that ksysguardd tries to run automagically.

This may result in a ton of fried Thinkpads, sad to say.



Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
You want I should fry my laptop and send it back to IBM again?

Actual Results:  After rebooting, IBM's BIOS error 0189; Invalid RFID Configuration Area

Expected Results:  A successful reboot.

Additional info:

I know this isn't really Red Hat's fault, but at the least ksysguard and ksysguardd should be a separate package, and probably not installed by default, either. Or if installed be default, a LARGE warning should be provided somewhere, and it absolutely positively shouldn't run by default, as I suspect it does. (Otherwise I'm not sure why the laptop failed in precisely that way right after my first login following install of 7.3...)
Comment 1 Bernhard Rosenkraenzer 2002-05-21 10:51:23 EDT
Preferred fix: Make the lm_sensors lib abort if it detects a broken Thinkpad 
(probably identifiable through dmidecode?).
Comment 2 Phil Knirsch 2002-05-21 11:00:21 EDT
Bero, how does ksysguardd work? Does it simply run sensors-detect or does it use
some libary calls?

If so, a patch should be fairly easy in order to avoid frying more Thinkpads
(although that won't make IBM fix their broken BIOS's, but i agree, better than
having a fried laptop).

Read ya, Phil
Comment 3 Bernhard Rosenkraenzer 2002-05-21 11:06:01 EDT
It uses the library.  
  
I think the optimal fix [other than making IBM fix their **** BIOSes, of 
course] is adding  
  
assert(THIS_IS_NOT_A_THINKPAD); 
 
to sensors_init(), which would fix ksysguardd and everything else. (Crashing  
the app is probably preferrable over destroying the machine ;) ).  
Comment 4 Phil Knirsch 2003-06-27 11:36:46 EDT
Latest rawhide package of lm_sensors now requires kernel-utils which in turn
contains dmidecode with which sensors_detect checks if it is run on a Thinkpad
and bails out if it is.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.